Job description

pi_job
SYNOPSIS

struct |  |
{ |  |
| char | source_file_name;
| pi_bool | cpp_on;
| char | *cpp_define;
| char | *cpp_include;
| char | *parser_config_file;
| char | *generate_dir;
| pi_bool | no_generate;
| pi_bool | generate_only;
}; |  |

DESCRIPTION
Describes a compile job.

source_file_name | full pathname of the source file to be parsed
cpp_on | preprocessor switch (see project attributes)
cpp_define | preprocessor defines (see project attributes)
cpp_include | preprocessor includes (see project attributes)
parser_config_file | full pathname of the parser configuration file
generate_dir | SNiFF+ internal usage
no_generate | SNiFF+ internal usage
generate_only | SNiFF+ internal usage

The SNiFF+ Parser Development Kit fills in this data structure as per the current parsing request.
See also pi_getjob